import Point from '@wisemapping/web2d';
import Command from '../Command';
import CommandContext from '../CommandContext';
import Topic from '../Topic';
declare class DragTopicCommand extends Command {
    private _topicsId;
    private _parentId;
    private _position;
    private _order;
    /**
       * @classdesc This command class handles do/undo of dragging a topic to a new position.
       * @constructs
       */
    constructor(topicId: number, position: Point, order: number, parentTopic: Topic);
    /**
       * Overrides abstract parent method
       */
    execute(commandContext: CommandContext): void;
    undoExecute(commandContext: CommandContext): void;
}
export default DragTopicCommand;
